Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.folders
Class FeedFolder

    java.lang.Object
      com.bea.apps.groupspace.content.ContentBaseImpl
          com.bea.apps.groupspace.content.CommunityContent
              com.bea.apps.groupspace.folders.Folder
                  com.bea.apps.groupspace.feeds.folders.FeedFolder

All Implemented Interfaces
  ContentBase, FolderBase, Serializable

    public class FeedFolder

extends Folder

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.apps.groupspace.content.CommunityContent
`CommunityContent.NodeType, CommunityContent.Visibility`

Field Summary
`static String` | `AUTHOR`
`static String` | `DEFAULT_FEED_GROUP`
`static String` | `IMAGE_URL`
`static String` | `LANGUAGE`
`static String` | `LINK`
`static String` | `PUBLICATION_DATE`
`static String` | `RETENTION_PERIOD`
`static String` | `TYPE_NAME`
`static String` | `URL`

Fields inherited from class com.bea.apps.groupspace.content.CommunityContent
`CC_DESCRIPTION, CC_OWNER, CC_RELATED_NODES, CC_TITLE, CC_VISIBILITY, hiddenRelatedContent, hiddenRelatedContentIsSet, relatedContent, relatedContentIsSet, visibility`

Fields inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`node, typeName`

Constructor Summary
`FeedFolder()` Need this
`FeedFolder(Node node)` Create the FeedFolder from a Node

Method Summary
`String` | `getAuthor()`
`String` | `getImageUrl()`
`String` | `getLanguage()`
`String` | `getLink()`
`Calendar` | `getPublicationDate()`
`long` | `getRetentionPeriod()`
`String` | `getUrl()`
`void` | `setAuthor(String author)`
`void` | `setImageUrl(String imageUrl)`
`void` | `setLanguage(String language)`
`void` | `setLink(String link)`
`void` | `setPublicationDate(Calendar date)`
`void` | `setRetentionPeriod(long period)`
`void` | `setUrl(String url)`

Methods inherited from class com.bea.apps.groupspace.content.CommunityContent
`convertVisibilityString, getDescription, getDisplayName, getIcon, getIcon, getOwner, getTitle, getVisibility, getVisibilityString, isPrivate, setDescription, setOwner, setRelatedContent, setTitle, setVisibility`

Methods inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`arrayAsValueArray, equals, getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, getStringValues, getValue, hashCode, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.content.ContentBase
`getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getDisplayName, getIcon, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty`

Field Detail

### TYPE_NAME

    public static final String TYPE_NAME

See Also
  Constants Summary

### AUTHOR

    public static final String AUTHOR

See Also
  Constants Summary

### LINK

    public static final String LINK

See Also
  Constants Summary

### URL

    public static final String URL

See Also
  Constants Summary

### PUBLICATION_DATE

    public static final String PUBLICATION_DATE

See Also
  Constants Summary

### LANGUAGE

    public static final String LANGUAGE

See Also
  Constants Summary

### IMAGE_URL

    public static final String IMAGE_URL

See Also
  Constants Summary

### RETENTION_PERIOD

    public static final String RETENTION_PERIOD

See Also
  Constants Summary

### DEFAULT_FEED_GROUP

    public static final String DEFAULT_FEED_GROUP

See Also
  Constants Summary

Constructor Detail

### FeedFolder

    public FeedFolder()

  Need this

### FeedFolder

    public FeedFolder(Node node)

  Create the FeedFolder from a Node

Method Detail

### getAuthor

    public String getAuthor()

### setAuthor

    public void setAuthor(String author)

### getLink

    public String getLink()

### setLink

    public void setLink(String link)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getPublicationDate

    public Calendar getPublicationDate()

### setPublicationDate

    public void setPublicationDate(Calendar date)

### getLanguage

    public String getLanguage()

### setLanguage

    public void setLanguage(String language)

### getImageUrl

    public String getImageUrl()

### setImageUrl

    public void setImageUrl(String imageUrl)

### getRetentionPeriod

    public long getRetentionPeriod()

### setRetentionPeriod

    public void setRetentionPeriod(long period)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved